Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateNewCallbackQuery

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateNewCallbackQuery

Enclosing class:
  TdApi

public static final class TdApi.UpdateNewCallbackQuery extends TdApi.Update
A new incoming callback query; for bots only.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat where the query was sent.
`long`
`chatInstance`
Identifier that uniquely corresponds to the chat to which the message was sent.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`id`
Unique query identifier.
`long`
`messageId`
Identifier of the message from which the query originated.
`TdApi.CallbackQueryPayload`
`payload`
Query payload.
`long`
`senderUserId`
Identifier of the user who sent the query.

## Constructor Summary

Constructors
Constructor
Description
`UpdateNewCallbackQuery()`
A new incoming callback query; for bots only.
`UpdateNewCallbackQuery(long id, long senderUserId, long chatId, long messageId, long chatInstance, TdApi.CallbackQueryPayload payload)`
A new incoming callback query; for bots only.
`UpdateNewCallbackQuery(DataInput input)`
A new incoming callback query; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Unique query identifier.

### senderUserId

public long senderUserId
Identifier of the user who sent the query.

### chatId

public long chatId
Identifier of the chat where the query was sent.

### messageId

public long messageId
Identifier of the message from which the query originated.

### chatInstance

public long chatInstance
Identifier that uniquely corresponds to the chat to which the message was sent.

### payload

public TdApi.CallbackQueryPayload payload
Query payload.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UpdateNewCallbackQuery

public UpdateNewCallbackQuery()
A new incoming callback query; for bots only.

### UpdateNewCallbackQuery

public UpdateNewCallbackQuery(long id, long senderUserId, long chatId, long messageId, long chatInstance, TdApi.CallbackQueryPayload payload)
A new incoming callback query; for bots only.

Parameters:
  `id` - Unique query identifier.
  `senderUserId` - Identifier of the user who sent the query.
  `chatId` - Identifier of the chat where the query was sent.
  `messageId` - Identifier of the message from which the query originated.
  `chatInstance` - Identifier that uniquely corresponds to the chat to which the message was sent.
  `payload` - Query payload.

### UpdateNewCallbackQuery

public UpdateNewCallbackQuery(DataInput input) throws IOException
A new incoming callback query; for bots only.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`